For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
      • POSTCreate a release pipeline
      • DELDelete release pipeline
      • GETGet all release pipelines
      • GETGet release pipeline by key
      • GETGet release progressions for release pipeline
      • PUTUpdate a release pipeline
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewRelease Pipelines Beta

Update a release pipeline

PUT
/api/v2/projects/:projectKey/release-pipelines/:pipelineKey
PUT
/api/v2/projects/:projectKey/release-pipelines/:pipelineKey
$curl -X PUT https://app.launchdarkly.com/api/v2/projects/projectKey/release-pipelines/pipelineKey \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Standard Pipeline",
> "phases": [
> {
> "audiences": [
> {
> "environmentKey": "string",
> "name": "string"
> }
> ],
> "name": "Phase 1 - Testing"
> }
> ]
>}'
1{
2 "createdAt": "1684262711507",
3 "key": "standard-pipeline",
4 "name": "Standard Pipeline",
5 "phases": [
6 {
7 "id": "1234a56b7c89d012345e678f",
8 "audiences": [
9 {
10 "name": "Phase 1 - Testing",
11 "environment": {
12 "_links": {
13 "self": {
14 "href": "/api/v2/projects/my-project/environments/my-environment",
15 "type": "application/json"
16 }
17 },
18 "key": "environment-key-123abc",
19 "name": "My Environment",
20 "color": "F5A623"
21 },
22 "configuration": {
23 "releaseStrategy": "monitoredRelease",
24 "requireApproval": true,
25 "notifyMemberIds": [
26 "1234a56b7c89d012345e678f"
27 ],
28 "notifyTeamKeys": [
29 "example-reviewer-team"
30 ],
31 "releaseGuardianConfiguration": {
32 "monitoringWindowMilliseconds": 60000,
33 "rolloutWeight": 50,
34 "rollbackOnRegression": true,
35 "randomizationUnit": "user"
36 }
37 },
38 "segmentKeys": [
39 "segment-key-123abc"
40 ]
41 }
42 ],
43 "name": "Phase 1 - Testing",
44 "configuration": {}
45 }
46 ],
47 "description": "Standard pipeline to roll out to production",
48 "tags": [
49 "example-tag"
50 ],
51 "_version": 1,
52 "_access": {
53 "denied": [
54 {
55 "action": "string",
56 "reason": {
57 "effect": "allow",
58 "resources": [
59 "proj/*:env/*;qa_*:/flag/*"
60 ],
61 "notResources": [
62 "string"
63 ],
64 "actions": [
65 "*"
66 ],
67 "notActions": [
68 "string"
69 ],
70 "role_name": "string"
71 }
72 }
73 ],
74 "allowed": [
75 {
76 "action": "string",
77 "reason": {
78 "effect": "allow",
79 "resources": [
80 "proj/*:env/*;qa_*:/flag/*"
81 ],
82 "notResources": [
83 "string"
84 ],
85 "actions": [
86 "*"
87 ],
88 "notActions": [
89 "string"
90 ],
91 "role_name": "string"
92 }
93 }
94 ]
95 },
96 "isProjectDefault": true,
97 "_isLegacy": true
98}
Updates a release pipeline.
Was this page helpful?
Previous

Releases Beta

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
pipelineKeystringRequiredformat: "string"
The release pipeline key

Request

This endpoint expects an object.
namestringRequired
The name of the release pipeline
phaseslist of objectsRequired
A logical grouping of one or more environments that share attributes for rolling out changes
descriptionstringOptional
The release pipeline description
tagslist of stringsOptional
A list of tags for this release pipeline

Response

Release pipeline response
createdAtdatetime
Timestamp of when the release pipeline was created
keystring
The release pipeline key
namestring
The release pipeline name
phaseslist of objects
An ordered list of the release pipeline phases. Each phase is a logical grouping of one or more environments that share attributes for rolling out changes.
descriptionstring
The release pipeline description
tagslist of strings
A list of the release pipeline's tags
_versioninteger
The release pipeline version
_accessobject
Details on the allowed and denied actions for this release pipeline
isProjectDefaultboolean
Whether this release pipeline is the default pipeline for the project
_isLegacyboolean
Whether this release pipeline is a legacy pipeline

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error